import {Module} from 'vuex'
import {RootState} from '../index'

interface DesignDetail{
    workspace:any,
    workspaceSex:any,
    workspacePosition:any,
	workspaceAllPosition:any,//所有位置
   
}

const Workspace : Module<DesignDetail,RootState> = {
    state:{
        workspace:{},
		workspaceSex:{},
		workspacePosition:{},
		workspaceAllPosition:{},
    },
    mutations:{
        setWorkspace(state,files){
            state.workspace = files
        },
		setWorkspaceSex(state,files){
            state.workspaceSex = files
        },
		setWorkspacePosition(state,files){
            state.workspacePosition = files
        },
		setWorkspaceAllPosition(state,files){
            state.workspaceAllPosition = files
        },
		
    },
    actions:{

    }
}

export default Workspace